package rs.etf.epos;

import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import com.sun.org.apache.bcel.internal.generic.NEW;

public class Utility {

	public static byte[] loadBytes(InputStream is) throws IOException {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		int b; 
		BufferedInputStream bis = new BufferedInputStream(is);
		while ((b = bis.read()) != -1) {
			baos.write(b);
		}
		bis.close();
		return baos.toByteArray();
	}
	
	
	public static String toHex(byte[] bytes) {
		StringBuilder sb = new StringBuilder();
		for (int i=0; i<bytes.length; i++) {
			int v = bytes[i] & 0xFF;
			if (v<16) sb.append("0");
			sb.append(Integer.toHexString(v).toUpperCase());
			sb.append(" ");
		}
		return sb.toString();
	}
	
	public static void storeObject(File dest, Object objToStore) throws FileNotFoundException, IOException {
		ObjectOutputStream oos = null;
		try {
			oos = new ObjectOutputStream(new FileOutputStream(dest));
			oos.writeObject(objToStore);
		} finally {
			oos.close();
		}
	}
	
	public static Object[] loadObjects(File file, int num) throws IOException, ClassNotFoundException {
		ObjectInputStream ois = null;
		Object[] result = new Object[num];
		try {
			ois = new ObjectInputStream(new FileInputStream(file));
			int i=0;
			while (i<num) {
				result[i++] = ois.readObject();
			}
		} finally {
			ois.close();
		}
		return result;
	}
}
